"use client";
import RegisterPage from "@/components/register";
import SetCodePage from "@/components/register/SetCodePage";
import LogInPage from "@/components/register/LogInPage";
import { useState } from "react";

function LogIn() {
  const [isSendMsg, setIsSendMsg] = useState(false);

  return (
    <div>
      <RegisterPage>
        {isSendMsg ? (
          <SetCodePage setIsSendMsg={setIsSendMsg} setStep={false} link="/" />
        ) : (
          <LogInPage setStep={false} setIsSendMsg={setIsSendMsg} />
        )}
      </RegisterPage>
    </div>
  );
}

export default LogIn;
